Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000308Core InformSpacing and printingpublic2010-09-28 09:182010-10-28 00:30
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000308: Inform mentions a nonexistent comma in the error for an empty substitution
DescriptionThe source yields this message:

Problem. In the line 'say "[]"' , I was expecting that ', ""' would be something to 'say', but unexpectedly it began with a comma. The usual form is just 'say "text"', perhaps with some substitutions in square brackets within the quoted text, but no commas.
Minimal Source Text To Reproduce
There is a room.

When play begins:
	say "[]".
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000626)
graham (administrator)
2010-09-29 08:00

Inform now produces a better problem message here. I did consider allowing the empty substitution (making it generate the empty text, of course), but I couldn't really see circumstances where, say, programs to write Inform source texts would ever find that helpful, and for any other situation it just reduces legibility.

- Issue History
Date Modified Username Field Change
2010-09-28 09:18 EmacsUser New Issue
2010-09-28 10:26 jmcgrew Status new => confirmed
2010-09-29 08:00 graham Note Added: 0000626
2010-09-29 08:00 graham Status confirmed => resolved
2010-09-29 08:00 graham Resolution open => fixed
2010-09-29 08:00 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker